
<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: my_threads.php,my_posts.php,my_tracked_threads
|           new_posts.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."forum_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_info_panel/locale/English.php";
}

if(iMEMBER) {

add_to_title($locale['global_200'].$locale['global_041']);

global $lastvisited;

if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }

$rows = dbrows(dbquery(
	"SELECT tt.thread_id FROM ".DB_THREADS." tt INNER JOIN ".DB_FORUMS." tf ON tt.forum_id = tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_author = '".$userdata['user_id']."' AND tt.thread_hidden='0'"
));
if ($rows) {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$result = dbquery(
		"SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastuser,
		tt.thread_lastpost, tt.thread_postcount, tf.forum_name, tf.forum_access, tu.user_id, tu.user_name,
		tu.user_status
		FROM ".DB_THREADS." tt
		INNER JOIN ".DB_FORUMS." tf ON tt.forum_id = tf.forum_id
		INNER JOIN ".DB_USERS." tu ON tt.thread_lastuser = tu.user_id
		WHERE ".groupaccess('tf.forum_access')." AND tt.thread_author = '".$userdata['user_id']."' AND tt.thread_hidden='0'
		ORDER BY tt.thread_lastpost DESC LIMIT ".$_GET['rowstart'].",20"
	);
	$i = 0;
	openside($locale['global_041']);
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
	/*echo "<td class='tbl2'>&nbsp;</td>\n";*/
	echo "<td width='100%' class='tbl2'><strong>".$locale['global_044']."</strong></td>\n";
	/*echo "<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_045']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_046']."</strong></td>\n";
	echo "<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_047']."</strong></td>\n";*/
	echo "</tr>\n";
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>\n";
		/*echo "<td class='".$row_color."'>";
		if ($data['thread_lastpost'] > $lastvisited) {
			$thread_match = $data['thread_id']."\|".$data['thread_lastpost']."\|".$data['forum_id'];
			if (iMEMBER && ($data['thread_lastuser'] == $userdata['user_id'] || preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads']))) {
				echo "<img src='".get_image("folder")."' alt='' />";
			} else {
				echo "<img src='".get_image("foldernew")."' alt='' />";
			}
		} else {
			echo "<img src='".get_image("folder")."' alt='' />";
		}*/
		echo "</td>\n";
		echo "<td width='100%' class='".$row_color."'><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a>\n<br />\n".trimlink($data['forum_name'], 30)."</td>\n";
		/*echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".$data['thread_views']."</td>\n";
		echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".($data['thread_postcount']-1)."</td>\n";
		echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".profile_link($data['thread_lastuser'], $data['user_name'], $data['user_status'])."<br />\n".showdate("forumdate", $data['thread_lastpost'])."</td>\n";*/
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closeside();
	if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $rows, 3)."\n</div>\n"; }
} else {
	openside($locale['global_041']);
	echo "<div style='text-align:center'><br />\n".$locale['global_053']."<br /><br />\n</div>\n";
	closeside();
}

}
else {
openside($locale['global_041']);
echo "".$locale['content01']."";
closeside();
}


/*====================================================
my_posts
======================================================*/

if(iMEMBER) {
add_to_title($locale['global_200'].$locale['global_042']);

$result = dbquery(
	"SELECT tp.post_id FROM ".DB_POSTS." tp
	INNER JOIN ".DB_THREADS." tt ON tp.thread_id = tt.thread_id
	INNER JOIN ".DB_FORUMS." tf ON tp.forum_id = tf.forum_id
	WHERE ".groupaccess('forum_access')." AND post_author='".$userdata['user_id']."' AND post_hidden='0' AND thread_hidden='0'"
);
$rows = dbrows($result);

if ($rows) {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$result = dbquery(
		"SELECT tp.forum_id, tp.thread_id, tp.post_id, tp.post_author, tp.post_datestamp,
		tf.forum_name, tf.forum_access, tt.thread_subject
		FROM ".DB_POSTS." tp
		INNER JOIN ".DB_FORUMS." tf ON tp.forum_id=tf.forum_id
		INNER JOIN ".DB_THREADS." tt ON tp.thread_id=tt.thread_id
		WHERE ".groupaccess('tf.forum_access')." AND tp.post_author='".$userdata['user_id']."' AND post_hidden='0' AND thread_hidden='0'
		ORDER BY tp.post_datestamp DESC LIMIT ".$_GET['rowstart'].",20"
	);
	$i = 0;
	openside($locale['global_042']);
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>\n<tr>\n";
	/*echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['global_048']."</strong></td>\n";*/
	echo "<td width='100%' class='tbl2'><strong>".$locale['global_044']."</strong></td>\n";
	/*echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['global_049']."</strong></td>\n";*/
	echo "</tr>\n";
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>\n";
		/*echo "<td width='1%' class='".$row_color."' style='white-space:nowrap'> ".trimlink($data['forum_name'], 30)." </td>\n";*/
		echo "<td width='100%' class='".$row_color."'><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['post_id']."#post_".$data['post_id']."' title='".$data['thread_subject']."'>".trimlink($data['thread_subject'], 30)."</a>\n<br >\n".trimlink($data['forum_name'], 30)."</td>\n";
		/*echo "<td align='center' width='1%' class='".$row_color."' style='white-space:nowrap'>".showdate("forumdate", $data['post_datestamp'])."</td>\n";*/
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closeside();
	if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $rows, 3)."\n</div>\n"; }
} else {
	openside($locale['global_042']);
	echo "<div style='text-align:center'><br />\n".$locale['global_054']."<br /><br />\n</div>\n";
	closeside();
}

}
else {
openside($locale['global_041']);
echo "".$locale['content01']."";
closeside();
}


/*===============================================
my_tracked_threads
=================================================*/

if(iMEMBER){


if (isset($_GET['delete']) && isnum($_GET['delete']) && dbcount("(thread_id)", DB_THREAD_NOTIFY, "thread_id='".$_GET['delete']."' AND notify_user='".$userdata['user_id']."'")) {
	$result = dbquery("DELETE FROM ".DB_THREAD_NOTIFY." WHERE thread_id=".$_GET['delete']." AND notify_user=".$userdata['user_id']);
	redirect(FUSION_SELF);
}

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

openside($locale['global_056']);

$result = dbquery(
	"SELECT tn.thread_id FROM ".DB_THREAD_NOTIFY." tn
	INNER JOIN ".DB_THREADS." tt ON tn.thread_id = tt.thread_id
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id = tf.forum_id
	WHERE tn.notify_user=".$userdata['user_id']." AND ".groupaccess('forum_access')." AND tt.thread_hidden='0'"
);
$rows = dbrows($result);

if ($rows) {
	$result = dbquery("
		SELECT tf.forum_access, tn.thread_id, tn.notify_datestamp, tn.notify_user,
		tt.thread_subject, tt.forum_id, tt.thread_lastpost, tt.thread_lastuser, tt.thread_postcount, tf.forum_name,
		tu.user_id AS user_id1, tu.user_name AS user_name1, tu.user_status AS user_status1, 
		tu2.user_id AS user_id2, tu2.user_name AS user_name2, tu2.user_status AS user_status2
		FROM ".DB_THREAD_NOTIFY." tn
		INNER JOIN ".DB_THREADS." tt ON tn.thread_id = tt.thread_id
		INNER JOIN ".DB_FORUMS." tf ON tt.forum_id = tf.forum_id
		LEFT JOIN ".DB_USERS." tu ON tt.thread_author = tu.user_id
		LEFT JOIN ".DB_USERS." tu2 ON tt.thread_lastuser = tu2.user_id
		INNER JOIN ".DB_POSTS." tp ON tt.thread_id = tp.thread_id
		WHERE tn.notify_user=".$userdata['user_id']." AND ".groupaccess('forum_access')." AND tt.thread_hidden='0'
		GROUP BY tn.thread_id
		ORDER BY tn.notify_datestamp DESC
		LIMIT ".$_GET['rowstart'].",10
	");
	echo "<table class='tbl-border' cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	echo "<td class='tbl2'><strong>".$locale['global_044']."</strong></td>\n";
	/*echo "<td class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_050']."</strong></td>\n";
	echo "<td class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_047']."</strong></td>\n";
	echo "<td class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_046']."</strong></td>\n";
	echo "<td class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_057']."</strong></td>\n";	*/
	echo "</tr>\n";
	$i = 0;
	while ($data = dbarray($result)) {
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<tr>\n<td class='".$row_color."'><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."'>".trimlink($data['thread_subject'], 30)."</a>\n<br />\n".trimlink($data['forum_name'], 30)."</td>\n";
		/*echo "<td class='".$row_color."' style='text-align:center;white-space:nowrap'>".profile_link($data['user_id1'], $data['user_name1'], $data['user_status1'])."</td>\n";
		echo "<td class='".$row_color."' style='text-align:center;white-space:nowrap'>".profile_link($data['user_id2'], $data['user_name2'], $data['user_status2'])."<br />
		".showdate("forumdate", $data['thread_lastpost'])."</td>\n";
		echo "<td class='".$row_color."' style='text-align:center;white-space:nowrap'>".($data['thread_postcount']-1)."</td>\n";
		echo "<td class='".$row_color."' style='text-align:center;white-space:nowrap'><a href='".FUSION_SELF."?delete=".$data['thread_id']."' onclick=\"return confirm('".$locale['global_060']."');\">".$locale['global_058']."</a></td>\n";*/
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
	closeside();
	echo "<div align='center' style='margin-top:5px;'>".makePageNav($_GET['rowstart'],10,$rows,3,FUSION_SELF."?")."</div>\n";
} else {
	echo "<div style='text-align:center;'>".$locale['global_059']."</div>\n";
	closeside();
}

}
else {
openside($locale['global_041']);
echo "".$locale['content01']."";
closeside();
}
/*=====================================================
new_posts
========================================================*/

if(iMEMBER) {

if (!isset($lastvisited) || !isnum($lastvisited)) $lastvisited = time();

add_to_title($locale['global_200'].$locale['global_043']);

openside($locale['global_043']);
$result = dbquery(
	"SELECT tp.post_id FROM ".DB_POSTS." tp
	LEFT JOIN ".DB_FORUMS." tf ON tp.forum_id = tf.forum_id
	LEFT JOIN ".DB_THREADS." tt ON tp.thread_id = tt.thread_id
	WHERE ".groupaccess('tf.forum_access')." AND tp.post_hidden='0' AND tt.thread_hidden='0' AND (tp.post_datestamp > ".$lastvisited." OR tp.post_edittime > ".$lastvisited.")"
);
$rows = dbrows($result);
$threads = 0;
if ($rows) {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$result = dbquery(
		"SELECT tp.forum_id, tp.thread_id, tp.post_id, tp.post_author, IF(tp.post_datestamp>tp.post_edittime, tp.post_datestamp, tp.post_edittime) AS post_timestamp,
		tf.forum_name, tf.forum_access, tt.thread_subject, tu.user_id, tu.user_name, tu.user_status
		FROM ".DB_POSTS." tp
		LEFT JOIN ".DB_FORUMS." tf ON tp.forum_id = tf.forum_id
		LEFT JOIN ".DB_THREADS." tt ON tp.thread_id = tt.thread_id
		LEFT JOIN ".DB_USERS." tu ON tp.post_author = tu.user_id
		WHERE ".groupaccess('tf.forum_access')." AND tp.post_hidden='0' AND tt.thread_hidden='0' AND (tp.post_datestamp > '".$lastvisited."' OR tp.post_edittime > '".$lastvisited."')
		GROUP BY tp.thread_id
		ORDER BY post_timestamp DESC LIMIT ".$_GET['rowstart'].",20"
	);
	$i = 0;
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
	/*echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['global_048']."</strong></td>\n";*/
	echo "<td class='tbl2'><strong>".$locale['global_044']."</strong></td>\n";
	/*echo "<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_050']."</strong></td>\n";*/
	echo "</tr>\n";
	$threads = dbrows($result);
	while ($data = dbarray($result)) {
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>\n";
		/*echo "<td width='1%' class='".$row_color."' style='white-space:nowrap'> ".$data['forum_name']." </td>\n";*/
		echo "<td class='".$row_color."'><a href='".BASEDIR."forum/viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['post_id']."#post_".$data['post_id']."'>".trimlink($data['thread_subject'], 30)."</a>\n<br />\n".trimlink($data['forum_name'], 30)."</td>\n";
		/*echo "<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".profile_link($data['post_author'], $data['user_name'], $data['user_status'])."<br />\n".showdate("forumdate",$data['post_timestamp'])."</td>\n";*/
		echo "</tr>\n";
		$i++;
	}
	echo "<tr>\n<td align='center' colspan='4' class='tbl1'>".sprintf($locale['global_055'], $rows, $threads)."</td>\n</tr>\n</table>\n";
} else {
	echo "<div style='text-align:center'><br />".sprintf($locale['global_055'], 0, 0)."<br /><br /></div>\n";
}
closeside();
if ($rows > 20) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $rows, 3)."\n</div>\n"; }

}
else {
openside($locale['global_041']);
echo "".$locale['content01']."";
closeside();
}
?>

